commit:     58160ef88b60865913c68fb3785fc12102ad2b52
Author:     Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Mon May 22 10:43:48 2023 +0000
Commit:     Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Mon May 22 10:43:48 2023 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=58160ef8

sci-biology/bidsschematools: add 0.7.0

Signed-off-by: Horea Christian <chr <AT> chymera.eu>

 .../bidsschematools/bidsschematools-0.7.0.ebuild   | 41 ++++++++++++++++++++++
 1 file changed, 41 insertions(+)

diff --git a/sci-biology/bidsschematools/bidsschematools-0.7.0.ebuild 
b/sci-biology/bidsschematools/bidsschematools-0.7.0.ebuild
new file mode 100644
index 000000000..ab470c6c9
--- /dev/null
+++ b/sci-biology/bidsschematools/bidsschematools-0.7.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="A Python library for working with the BIDS schema"
+HOMEPAGE="https://github.com/bids-standard/bids-specification";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="render"
+# Documented upstream:
+# https://github.com/conda-forge/bidsschematools-feedstock/pull/2
+RESTRICT="test"
+
+RDEPEND="
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       render? (
+               dev-python/markdown-it-py[${PYTHON_USEDEP}]
+               dev-python/pandas[${PYTHON_USEDEP}]
+               dev-python/tabulate[${PYTHON_USEDEP}]
+       )
+"
+DEPEND=""
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       if ! use render; then
+               rm "${S}/bidsschematools/render.py"
+               rm "${S}/bidsschematools/tests/test_render.py"
+       fi
+       default
+}

Reply via email to